Closed Bug 955519 Opened 8 years ago Closed 8 years ago

Error when opening a new conversation tab when a conversation exists with someone not on the buddy list.

Categories

(Instantbird :: Conversation, defect)

x86
Other
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: nhnt11, Assigned: nhnt11)

References

Details

Attachments

(1 file)

*** Original post on bio 2082 at 2013-07-30 22:33:00 UTC ***

Timestamp: 31/07/13 4:02:12 AM
Error: An error occurred executing the cmd_newtab command: [Exception... "'[JavaScript Error: "buddy is null" {file: "resource://gre/components/ibConvStatsService.js" line: 205}]' when calling method: [ibIConvStatsService::getFilteredConvs]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "JS frame :: chrome://instantbird/content/newtab.xml :: init :: line 163"  data: yes]
Source File: chrome://global/content/globalOverlay.js
Line: 79
Blocks: 955492
Attached patch PatchSplinter Review
*** Original post on bio 2082 as attmnt 2662 at 2013-07-30 22:47:00 UTC ***

This gives people not on the buddy list the unknown status. This matches what is shown in the conversation header, and has the side effect of making these conversations appear last in the newtab list. I think it's a separate bug to get the status properly though.
Attachment #8354431 - Flags: review?(florian)
Assignee: nobody → nhnt11
Status: NEW → ASSIGNED
Comment on attachment 8354431 [details] [diff] [review]
Patch

*** Original change on bio 2082 attmnt 2662 at 2013-08-02 17:42:23 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354431 - Flags: review?(florian) → review+
*** Original post on bio 2082 at 2013-08-02 19:41:56 UTC ***

http://hg.instantbird.org/instantbird/rev/6553d7168d9f
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.